Skip to main content
GET
Get an analytics drilldown conversation

Authorizations

api_access_token
string
header
required

This token can be obtained by visiting the profile page or via rails console. Provides access to endpoints based on the user permissions levels. This token can be saved by an external system when user is created via API, to perform activities on behalf of the user.

Path Parameters

display_id
integer
required

Account-local conversation display id, 1–10 decimal digits.

id
integer
required

The numeric ID of the account

Query Parameters

before
integer

Message id cursor, 1–18 decimal digits.

Response

Success.

access
enum<string>
required

Server-enforced disclosure level.

Available options:
full
accessLogged
enum<boolean>
required

A durable detail_view audit row was committed before rendering.

Available options:
true
conversation
object
required

conversation

messages
object[]
required

Newest first; at most 100 public messages. Private notes are excluded.

nextBefore
integer | null
required

Message id to pass as before; null at the end.

contact
object | null
required